
QGIS Application - Bug report #7107

rasters with decimal values don't display correctly in QGIS 1.9

2013-02-06 05:18 AM - Theron Morgan-Brown

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16184

Description

QGIS version    1.9.0-Master    QGIS code revision    exported

Compiled against Qt    4.8.1    Running against Qt    4.8.1

Compiled against GDAL/OGR    1.7.3    Running against GDAL/OGR    1.7.3

GEOS Version    3.2.2    PostgreSQL Client Version    9.1.5

SpatiaLite Version    3.0.0-beta    QWT Version    5.2.2

PROJ.4 Version    470    QScintilla2 Version

Above are the details pasted directly from the about QGIS menu option. I switched to QGIS 1.9 to avoid the flickering white box that

occurs in QGIS 1.8 when trying to manipulate vectors. That problem is fixed in QGIS 1.9. However, I've discovered a different display

issue that was not a problem in 1.8. When I load images with decimal values below 1 and stretch them using min/max, I get an image that

appears to be missing the blue band. I've tried numerous combinations of bands that I'm familiar with and the images always look like they

are missing the blue band. However, if I simply multiple all three bands by 255 (I suspect 100 would work work fine too) and restack, the

image displays correctly with blues where I expect even if the image is still floating point. I've attached two screen shots of the same

PALSAR image stretched using the same extent, but with all of the bands of one image multiplied by 255. You can see that the color

levels for the red and green bands are the same and that only the blue band appears to be missing.

Associated revisions

Revision 08afec27 - 2013-04-12 07:36 PM - Radim Blazek

keep blue value as double, fixes #7107

History

#1 - 2013-02-06 05:52 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Subject changed from Images with decimal values don't display correctly in QGIS 1.9 to rasters with decimal values don't display correctly in QGIS 1.9

- Category set to Rasters

If is a regression since qgis <= 1.8 then is a blocker issue.

#2 - 2013-02-06 06:14 AM - Theron Morgan-Brown

This problem isn't replicated on my MAC where I also have QIS 1.9. There, both images appear identical and correctly show blue when stretched using the

same extent. However, the version I have on my MAC doesn't include the fancy new histogram and stretching features found in the version I have on

ubuntu.
#3 - 2013-02-06 06:17 AM - Theron Morgan-Brown

Yes, blocking caused by some of these new histogram controls seems like a possibility.

#4 - 2013-02-19 06:59 PM - Amit Kulkarni

can you attach a subset of the original image here?

#5 - 2013-04-12 10:32 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"08afec27865b809118ff15773350aa2647dc85b7".

Files

48.jpg 230 KB 2013-02-06 Theron Morgan-Brown

27.jpg 223 KB 2013-02-06 Theron Morgan-Brown

2025-04-27 2/2


